List Queue Items
curl --request GET \
--url https://api.example.com/api/v1/queue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/queue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/queue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/queue"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/queue")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/queue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prospect_identifier": "<string>",
"prospect_identifier_type": "email",
"channel": "email",
"status": "pending",
"created_at": "<string>",
"expires_at": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_name": "<string>",
"campaign_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"classification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggering_engagement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution_action": "<string>",
"resolution_action_params": {},
"resolution_note": "<string>",
"resolved_by": "<string>",
"resolved_at": "<string>",
"notes": [
{}
]
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}review_queue
List Queue Items
List the caller’s review queue items, ordered by created_at desc.
GET
/
api
/
v1
/
queue
List Queue Items
curl --request GET \
--url https://api.example.com/api/v1/queue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/queue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/queue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/queue"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/queue")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/queue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prospect_identifier": "<string>",
"prospect_identifier_type": "email",
"channel": "email",
"status": "pending",
"created_at": "<string>",
"expires_at": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_name": "<string>",
"campaign_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"classification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggering_engagement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution_action": "<string>",
"resolution_action_params": {},
"resolution_note": "<string>",
"resolved_by": "<string>",
"resolved_at": "<string>",
"notes": [
{}
]
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by queue item status
Filter by channel
Filter by campaign
Required range:
1 <= x <= 200Opaque pagination cursor
⌘I